Bug 3356 - bogus check for detectloader
: bogus check for detectloader
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lilo)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-09 20:30 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-09 20:30:49
Two problems with lilo.spec:
1) bogus check for /usr/sbin/detectloader (actually the test is for the given
string, not for the given file);
2) missing deps on /usr/sbin/detectloader, so the post script may or may not
achieve the desired effect.

--- /home/at/RPM/SPECS/lilo.spec-       2003-08-20 21:50:52 +0400
+++ /home/at/RPM/SPECS/lilo.spec        2003-12-09 16:44:00 +0300
@@ -22,6 +22,7 @@

 ExclusiveArch: %ix86

+Requires: /usr/sbin/detectloader
 BuildPreReq: kernel-headers-std

 # Automatically added by buildreq on Fri May 30 2003
@@ -73,7 +74,7 @@
 bzip2 -9 $RPM_BUILD_ROOT%docdir/{README,CHANGES,*.ps}

 %post
-if [ -f /etc/%name.conf -a /usr/sbin/detectloader -a -f /proc/partitions ]; then
+if [ -f /etc/%name.conf -a -x /usr/sbin/detectloader -a -f /proc/partitions ];
then
        if [ "`/usr/sbin/detectloader`" = LILO ]; then
                /sbin/%name || echo "Please run %name manually." >&2
        fi
------- Comment #1 From 2003-12-22 02:16:28 -------
Thanks for the typo report. 
I think that detectloader dependency is not required though. 
------- Comment #2 From 2004-06-25 19:53:17 -------
Fixed the typo in lilo-22.4.1-alt5